## dired-rsync 0.4

=== Makefile ===
# First, define the environment variables that drive EMake.
EENVS  = PACKAGE_FILE="dired-rsync.el"
EENVS += PACKAGE_LISP="dired-rsync.el"
EENVS += PACKAGE_ARCHIVES="gnu melpa-stable"
EENVS += PACKAGE_TEST_DEPS="s dash package-lint"
EENVS += PACKAGE_TEST_ARCHIVES="melpa-stable"
# Then, make it easy to invoke Emacs with EMake loaded.
EMAKE := $(EENVS) emacs -batch -l emake.el --eval "(emake (pop argv))"

# Set up our phony targets so Make doesn't think there are files by
# these names.
.PHONY: clean setup install compile test

# Instruct Make on how to create `emake.el'
emake.el:
	wget 'https://raw.githubusercontent.com/vermiculus/emake.el/master/emake.el'

# Instruct Make on how to create `emacs-travis.mk'
emacs-travis.mk:
	wget 'https://raw.githubusercontent.com/flycheck/emacs-travis/master/emacs-travis.mk'

# Teach Make that '.elpa/' is created by `(emake "install")'
.elpa/:
	$(EMAKE) install

## Phony targets

# Tell Make how to 'clean' this project
clean:
	rm -f *.elc		# delete compiled files
	rm -rf .elpa/		# delete dependencies
	rm -rf .elpa.test/
	rm -f emacs-travis.mk	# delete scripts
	rm -f emake.el

# Tell Make how to 'setup' this project (e.g., for Travis).  This
# requires both Emacs to be installed and the `emake.el' script to be
# available.
setup: emacs emake.el

# 'install' just means to create the .elpa/ directory (i.e., download dependencies)
install: .elpa/

# We want to clean before we compile.
compile:
	rm -f *.elc
	$(EMAKE) compile ~error-on-warn

# Testing needs dependencies
# Currently we only do linting and checkdoc
test: test-package-lint test-checkdoc

test-checkdoc: .elpa/
	$(EMAKE) test checkdoc

test-package-lint: .elpa/
	$(EMAKE) test package-lint

# The following lets you run this Makefile locally without installing
# Emacs over and over again.  On Travis (and other CI services), the
# $CI environment variable is available as "true"; take advantage of
# this to provide two different implementations of the `emacs' target.
ifeq ($(CI),true)
emacs: emacs-travis.mk		# This is CI.  Emacs may not be available, so install it.
	export PATH="$(HOME)/bin:$(PATH)"
	make -f emacs-travis.mk install_emacs
else
emacs:				# This is not CI.  Emacs should already be available.
	which emacs && emacs --version
endif

=== debian/changelog ===
dired-rsync (0.4-1) unstable; urgency=medium

  * New upstream version 0.4
  * Add patch to fix version number
  * Add patch to clean documentation
  * d/control: Declare Standards-Version 4.1.5 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/rules: Override upstream build and install

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 08 Jul 2018 14:09:11 +0500

dired-rsync (0.3-1) unstable; urgency=medium

  * New upstream version 0.3

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 05 May 2018 14:06:34 +0500

dired-rsync (0.2-1) unstable; urgency=medium

  * Initial release (Closes: #896770)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Apr 2018 13:38:09 +0500

=== debian/control ===
Source: dired-rsync
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa
Standards-Version: 4.1.5
Rules-Requires-Root: no
Homepage: https://github.com/stsquad/dired-rsync
Vcs-Browser: https://salsa.debian.org/emacsen-team/dired-rsync
Vcs-Git: https://salsa.debian.org/emacsen-team/dired-rsync.git

Package: elpa-dired-rsync
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         rsync
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: support for rsync from Emacs dired buffers
 This package adds a single command dired-rsync which allows the user
 to copy marked files in a dired buffer via rsync. This is useful,
 especially for large files, because the copy happens in the
 background and doesn’t lock up Emacs. It is also more efficient than
 using TRAMP's own encoding methods for moving data between systems.

## dired-rsync 0.5

=== debian/changelog ===
dired-rsync (0.5-1) unstable; urgency=medium

  * New upstream version 0.5
  * Migrate to debhelper 12 without d/compat
  * Drop unneeded patch (0001-fix-version.diff)
  * Refresh patch to clean documentation
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add elpa-dash and elpa-s to Build-Depends
  * d/copyright: Bump copyright years
  * d/rules: Override dh_installchangelogs to install upstream NEWS file

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 01 Dec 2019 20:24:17 +0500

dired-rsync (0.4-3) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 14:15:34 -0300

dired-rsync (0.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 24 Aug 2019 19:54:09 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-elpa
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 12),
+               dh-elpa,
+               elpa-dash,
+               elpa-s
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/stsquad/dired-rsync
 Vcs-Browser: https://salsa.debian.org/emacsen-team/dired-rsync
@@ -17,8 +19,7 @@
          ${misc:Depends},
          rsync
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: support for rsync from Emacs dired buffers
  This package adds a single command dired-rsync which allows the user
  to copy marked files in a dired buffer via rsync. This is useful,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_install:
	@echo skipping upstream install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

## dired-rsync 0.6

=== debian/changelog ===
dired-rsync (0.6-1) unstable; urgency=medium

  * New upstream version 0.6
  * Add upstream metadata
  * Run upstream tests and keep tests file for autopkgtest
  * Do not install ERT tests to binary package
  * d/control: Add Testsuit field
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Update copyright years
  * d/rules: Clean targets

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 31 Dec 2020 11:14:42 +0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-dash,
                elpa-s
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/stsquad/dired-rsync
 Vcs-Browser: https://salsa.debian.org/emacsen-team/dired-rsync
 Vcs-Git: https://salsa.debian.org/emacsen-team/dired-rsync.git

## dired-rsync 0.7

=== debian/changelog ===
dired-rsync (0.7-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 18:00:11 +0900

dired-rsync (0.7-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:52:49 +0900

dired-rsync (0.7-1) unstable; urgency=medium

  * New upstream version 0.7
  * Add patch to fix version number
  * Refresh patch to clean documentation
  * Install dired-rsync-transient.el
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 20 Jul 2023 12:46:01 +0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-elpa,
                elpa-dash,
                elpa-s
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/stsquad/dired-rsync

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_test:
	emacs -batch -Q -l package --eval "(add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa\")" --eval "(add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa-src\")" -f package-initialize -L . -l dired-rsync-ert.el --eval \(ert-run-tests-batch-and-exit\)

override_dh_installchangelogs:
	dh_installchangelogs NEWS
	dh_installchangelogs

.PHONY: override_dh_installchangelogs

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dired-rsync-$1.tar.gz%" \
             https://github.com/stsquad/dired-rsync/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
